Rename a passkey
curl --request PATCH \
--url https://api.next.orenda.finance/v1/auth/passkey/credentials/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"friendly_name": "Work laptop"
}
'import requests
url = "https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}"
payload = { "friendly_name": "Work laptop" }
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-program-id': '<x-program-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({friendly_name: 'Work laptop'})
};
fetch('https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": null
}{
"success": false,
"code": "INVALID_CREDENTIALS",
"message": "<string>",
"retryable": true
}{
"success": false,
"code": "VALIDATION_ERROR",
"message": "email is required"
}Passkeys
Rename a passkey
Changes the friendly name of a passkey.
PATCH
/
v1
/
auth
/
passkey
/
credentials
/
{id}
Rename a passkey
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identifies the program. Can also be sent as the programId query parameter.
Path Parameters
The credential id.
Body
application/json
⌘I